Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.MenuItemConfig Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| MenuItemConfig ()
| Constructor.
| MenuItemConfig (string name, string user, string parent, int pos, string pos_str, string exec, string enable, string marked)
| Constructor, with parameters. More...
| MenuItemConfig (MenuItemConfig menu_item_config)
| Constructor, with another menu item config object. More...
void | Set (string name, string user, string parent, int pos, string pos_str, string exec, string enable, string marked)
| Set values. More...

## Properties
string | enable`[get, set]`
| (Only used by
string | exec`[get, set]`
| (Only used by
string | marked`[get, set]`
| (Only used by
string | name`[get, set]`
| The language-independent name of the menu item.
string | parent`[get, set]`
| The name of the parent menu item. Its submenu will have the new menu item added to it.
int | pos`[get, set]`
| The position within the submenu to locate the new menu item.
string | pos_str`[get, set]`
| (Only used by
string | user`[get, set]`
| The user string (language-dependent name) to display as the menu item name.

## Detailed Description

This class represents menu item config.

## Constructor & Destructor Documentation

## ◆ MenuItemConfig() [1/2]

foxit.pdf.actions.MenuItemConfig.MenuItemConfig | ( | string | name,
|  | string | user,
|  | string | parent,
|  | int | pos,
|  | string | pos_str,
|  | string | exec,
|  | string | enable,
|  | string | marked
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

## ◆ MenuItemConfig() [2/2]

foxit.pdf.actions.MenuItemConfig.MenuItemConfig | ( | MenuItemConfig | menu_item_config | ) |
| inline

Constructor, with another menu item config object.

Parameters

  [in] | menu_item_config | Another menu item config object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.MenuItemConfig.Set | ( | string | name,
|  | string | user,
|  | string | parent,
|  | int | pos,
|  | string | pos_str,
|  | string | exec,
|  | string | enable,
|  | string | marked
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

Returns
  None.